Skip to main content
GET
/
v1
/
material-processing-configs
/
{id}
/
versions
/
{version_id}
Get a specific config version
curl --request GET \
  --url https://api.cula.tech/tracking/v1/v1/material-processing-configs/{id}/versions/{version_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "scv_01kqzcjrpyf27tgefy70hchba7",
  "config_id": "stc_01kqzcjrpyf27tgeevggzctpyk",
  "next_version_id": null,
  "name": "Biomass Processing",
  "published_at": "2026-01-15T08:00:00Z",
  "data_point_configs": [
    {
      "id": "dpc_01kqzcjrpyf27tgev1hkzm2wxp",
      "name": "Produced lot number",
      "type": "short_text",
      "is_mandatory": false,
      "has_dependencies": false
    },
    {
      "id": "dpc_01kqzcjrpyf27tgev3a94z1yhz",
      "name": "Capture method",
      "type": "short_text",
      "is_mandatory": false,
      "has_dependencies": false,
      "select_config": {
        "options": [
          {
            "label": "Post-combustion",
            "value": "post_combustion"
          },
          {
            "label": "Pre-combustion",
            "value": "pre_combustion"
          },
          {
            "label": "Oxy-fuel",
            "value": "oxy_fuel"
          }
        ]
      }
    },
    {
      "id": "dpc_01kqzcjrpyf27tgev5b05a2cbs",
      "name": "Capture electricity",
      "type": "amount",
      "is_mandatory": false,
      "has_dependencies": false,
      "amount_base": "watt_hours"
    }
  ],
  "input_config": {
    "id": "mcc_01kqzcjrpyf27tgevnzz3utny6z",
    "name": "Biomass Input",
    "data_point_configs": [
      {
        "id": "dpc_01kqzcjrpyf27tgev7c16b3dct",
        "name": "Corn input quantity",
        "type": "amount",
        "is_mandatory": true,
        "has_dependencies": false,
        "amount_base": "weight"
      }
    ]
  },
  "output_config": {
    "id": "mcc_01kqzcjrpyf27tgevpaa4vupz7a",
    "name": "CO2 Output",
    "data_point_configs": [
      {
        "id": "dpc_01kqzcjrpyf27tgev9d27c4edu",
        "name": "CO2 output quantity",
        "type": "amount",
        "is_mandatory": true,
        "has_dependencies": false,
        "amount_base": "weight"
      },
      {
        "id": "dpc_01kqzcjrpyf27tgevbd38d5fev",
        "name": "CO2 purity",
        "type": "percentage",
        "is_mandatory": true,
        "has_dependencies": false
      }
    ]
  },
  "schema": {
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "type": "object",
    "required": [
      "config_id",
      "site"
    ],
    "properties": {
      "data_points": {
        "type": "array",
        "x-required-config-ids": []
      },
      "input": {
        "type": "array",
        "minItems": 1,
        "items": {
          "type": "object",
          "properties": {
            "data_points": {
              "type": "array",
              "x-required-config-ids": [
                "dpc_01kqzcjrpyf27tgev7c16b3dct"
              ]
            }
          }
        }
      },
      "output": {
        "type": "array",
        "minItems": 1,
        "items": {
          "type": "object",
          "properties": {
            "data_points": {
              "type": "array",
              "x-required-config-ids": [
                "dpc_01kqzcjrpyf27tgev9d27c4edu",
                "dpc_01kqzcjrpyf27tgevbd38d5fev"
              ]
            }
          }
        }
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cula.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as a Bearer token. Keys are scoped to one organisation and a set of permitted sites. Two keys per scope (primary + secondary) are issued to support zero-downtime rotation.

Authorization: Bearer <api-key>

Path Parameters

id
string
required

Cula-assigned resource ID in TypeID format (e.g. stp_01kqzcjrpxf27tge33jwvjhkff). Alternatively, pass your external ID prefixed with ext- (e.g. ext-MY-STEP-001). The ext- prefix is unambiguous because TypeIDs use _ separators and never start with ext-.

version_id
string
required

Config version ID.

Response

Config version detail.

A published version of a material processing config with inline data point configs, input container config, and output container config.

id
string
required

Config version ID.

Example:

"scv_01kqzcjrpyf27tgefy70hchba7"

config_id
string
required

Parent config ID.

Example:

"stc_01kqzcjrpyf27tgeevggzctpyk"

name
string
required

Human-readable name of this config version.

Example:

"Biomass Processing"

published_at
string<date-time>
required

When this version was published.

Example:

"2026-01-15T08:00:00Z"

data_point_configs
object[]
required

Step-level data point configs. Use these id values as config_id in the top-level data_points array when creating a step execution.

input_config
object
required

Input container config. Describes the data points expected on each input container in input[].data_points.

output_config
object
required

Output container config. Describes the data points expected on each output container in output[].data_points.

next_version_id
string | null

ID of the next version in the chain. Null if this is the active (latest published) version.

Example:

null

schema
object

JSON Schema (draft 2020-12) describing the expected request body shape for creating a runtime resource with this config version. The schema encodes which data points are required at each nesting level (step-level, input container-level, output container-level). Partners can use this for client-side validation before sending requests. See Request body schema for details on how to use this field.

Example:
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"required": ["config_id", "site"],
"properties": {
"data_points": {
"type": "array",
"description": "Step-level data points",
"x-required-config-ids": []
},
"input": {
"type": "array",
"minItems": 1,
"items": {
"type": "object",
"properties": {
"data_points": {
"type": "array",
"x-required-config-ids": ["dpc_01kqzcjrpyf27tgev7c16b3dct"]
}
}
}
},
"output": {
"type": "array",
"minItems": 1,
"items": {
"type": "object",
"properties": {
"data_points": {
"type": "array",
"x-required-config-ids": [
"dpc_01kqzcjrpyf27tgev9d27c4edu",
"dpc_01kqzcjrpyf27tgevbd38d5fev"
]
}
}
}
}
}
}